import { createSvgIcon } from "@mui/material/utils";

const CheckboxCheckedIcon = createSvgIcon(
  <svg
    width="24"
    height="24"
    viewBox="0 0 24 24"
    fill="none"
    xmlns="http://www.w3.org/2000/svg">
    <path
      fillRule="evenodd"
      clipRule="evenodd"
      d="M4 0C1.79086 0 0 1.79086 0 4V20C0 22.2091 1.79086 24 4 24H20C22.2091 24 24 22.2091 24 20V4C24 1.79086 22.2091 0 20 0H4ZM11.8052 17.344L18.8052 7.84403L18.8102 7.84303C18.9676 7.62953 19.0337 7.36224 18.994 7.09997C18.9544 6.8377 18.8121 6.60193 18.5986 6.44453C18.3852 6.28712 18.1179 6.22097 17.8556 6.26064C17.5933 6.3003 17.3576 6.44253 17.2002 6.65603L10.8122 15.32L6.62515 11.97C6.52289 11.8858 6.40491 11.8227 6.27806 11.7844C6.15121 11.7462 6.01802 11.7335 5.88623 11.7471C5.75444 11.7608 5.62667 11.8005 5.51036 11.8639C5.39405 11.9274 5.2915 12.0133 5.20868 12.1167C5.12586 12.2202 5.06442 12.339 5.02793 12.4664C4.99144 12.5938 4.98063 12.7271 4.99611 12.8587C5.0116 12.9903 5.05309 13.1175 5.11816 13.2329C5.18322 13.3483 5.27058 13.4497 5.37515 13.531L10.3752 17.531C10.481 17.6135 10.6021 17.6741 10.7316 17.7094C10.861 17.7447 10.9962 17.7539 11.1292 17.7365C11.2623 17.7191 11.3905 17.6755 11.5066 17.6081C11.6226 17.5407 11.7241 17.4509 11.8052 17.344Z"
      fill="#363636"
    />
  </svg>,
  "CheckboxChecked"
);

export default CheckboxCheckedIcon;
